create table tiki_eek (
/* Datenverwaltung innerhalb Tiki */
eekId int(10) not null auto_increment primary key,
name varchar(15),
active char(1),
overload char(1),
lastUpdate  int(14),

/* System und Authentifizierungsparameter */
cid int(1),            -- immer 0 (???)
siteid int,            -- ID der eBay-Site 77=ebay.de, 16=ebay.at
track varchar(10),     -- Partnerprogrammnummer
ai varchar(20),        -- Zugangscode fuer die Partnerprogrammnummer
prvd int(1),           -- immer 3 (???)
sortdir char(3),       -- aufsteigende (asc) oder absteigende (desc) Sortierung
sortby char(10),       -- immer endtime (???)

/* Suchkriterien */
query varchar(255),    -- Suchbegriff
srchdesc char(1),      -- Artikelbeschreibung in Suche einbeziehen? y/n
si varchar(255),       -- Gibt an von welchen Verkaeufern Artikel in die 
/ *                       Suche eingebzogen werden sollen 
  *                       (max. 10 Namen, durch Komma getrennt)
  */
catid varchar(128),    -- Kategorien die in die Suche einbezogen werden 
/ *                       (max. 10 Kategorinummern, durch Komma getrennt)
  *                       leer = alle Kategorien werden durchsucht
  *                       Die Kategorienummern findet man fr ebay.de unter
  *                http://listings.ebay.de/aw/listings/list/categories.html 
  */
minprice int(11),      -- Suchkriterium Mindestpreis (ganzzahlig)
maxprice int(11),      -- Suchkriterium Hoechstpreis (ganzzahlig)
gallery char(1),       -- Nur Artikel mit Galleribildern anzeigen? y/n
bin char(1),           -- Nur Sofort-Kaufen-Artikel anzeigen? y/n
/* Anzeigeoptionen */
title varchar(80),
img char(1),           -- vorhandenes Galleriebild anzeigen? y/n
endtime char(1),       -- Restzeit der Auktion anzeigen? y/n
numbid char(1),        -- Anzahl der Gebot anzeigen? y/n
width int(3),          -- Breite der Tabelle in Pixel
num int(3),            -- Anzahl der max.gezeigten Artikel (max. 200)
height int(3),         -- Hoehe der Tabelle in Pixel
popup char(1),         -- Links in neuem Fenster oeffnen? y/n
sort varchar(20),      -- Definiert die Sortierung der gefundenen Angebote
/ *                      MetaEndSort          = Endende Angebote zuerst
  *                      MetaLowestPriceSort  = Niedrigste Betrge zuerst
  *                      MetaHighestPriceSort = Hchste Betrge zuerst
  *                      MetaNewSort          = zuletzt eingest. Artikel zuerst
  */
/* Farben und Schriften */
hdrcolor char(6),      -- Titelhintergrundfarbe
tlecolor char(6),      -- Hintergrundfarbe fuer die Artikelbezeichnung
fntcolor char(6),      -- Schriftfarbe
bdrcolor char(6),      -- Farbe fuer den Rahmen
endcolor char(6),      -- Farbe fuer ?
fs char(1)             -- Schrifttyp
/*                         0 = Arial (mittel)
 *                         1 = Verdana (mittel)
 *                         2 = Times (mittel)
 *                         3 = Verdana (klein)
 *                         4 = Times (klein)
*/
);
