<?php

//this script may only be included - so its better to die if called directly.
if (strpos($_SERVER["SCRIPT_NAME"],basename(__FILE__)) !== false) {
  header("location: index.php");
  exit;
}



class EekLib extends TikiLib {
    // constructor
    function EekLib($db) {
	if (!$db) {
	    die ("Invalid db object passed to EekLib constructor");
	}
	$this->db = $db;
    }

    // list all eeks
    function list_eeks($offset, $maxRecords, $sort_mode, $find) {

	if ($find) {
	    $findesc = '%' . $find . '%';
	    
	    $mid = " where (`name` like ?)";
	    $bindvars=array($findesc);
	} else {
	    $mid = "";
	    $bindvars=array();
	}
	
	$query = "select * from `tiki_eek` $mid order by ".$this->convert_sortmode($sort_mode);
	
	$query_cant = "select count(*) from `tiki_eek` $mid";
	$result = $this->query($query,$bindvars,$maxRecords,$offset);
	$cant = $this->getOne($query_cant,$bindvars);
	$ret = array();

	while ($res = $result->fetchRow()) {
	    $ret[] = $res;
	}

	$retval = array();
	$retval["data"] = $ret;
	$retval["cant"] = $cant;
	return $retval;
    }

    
    // remove eek with eekId
    function remove_eek($eekId) {
	$query = "delete from `tiki_eek` where `eekId`=?";

	$result = $this->query($query,array((int) $eekId));
	$this->remove_object('eek', $eekId);
	return true;
    }


    
    
    // update or insert a row
    function replace_eek($eekId ,$name, $active, $overload,$lastUpdate, $cid,
			 $siteid, $track,$ai,$prvd,$sortdir,$sortby,
			 $query,$srchdesc,$si,$catid,$minprice,$maxprice,
			 $gallery,$bin,$title,$img,$endtime,$numbid,
			 $width,$num,$height,$popup,$sort,
			 $hdrcolor,$tlecolor,$fntcolor,$bdrcolor,
			 $endcolor,$fs) {
	// Check the name
	if ($eekId) {
	    $sqlquery = "update `tiki_eek` set `name`=?, `active`=?,`overload`=?,`lastUpdate`=?,`cid`=?,`siteid`=?,`track`=?,`ai`=?,`prvd`=?,`sortdir`=?,`sortby`=?, `query`=?,`srchdesc`=?,`si`=?,`catid`=?,`minprice`=?,`maxprice`=?,`gallery`=?,`bin`=?, `title`=?,`img`=?,`endtime`=?,`numbid`=?,`width`=?,`num`=?,`height`=?,`popup`=?,`sort`=?, `hdrcolor`=?,`tlecolor`=?,`fntcolor`=?,`bdrcolor`=?,`endcolor`=?,`fs`=? where `eekId`=?";
	    
	    $result = $this->query($sqlquery,array(
				       $name, $active, $overload,
				       $lastUpdate, $cid,
				       $siteid, $track,$ai,$prvd,$sortdir,
				       $sortby,$query,$srchdesc,$si,$catid,
				       $minprice,$maxprice,$gallery,$bin,
				       $title,$img,$endtime,$numbid,
				       $width,$num,$height,$popup,$sort,
				       $hdrcolor,$tlecolor,$fntcolor,$bdrcolor,
				       $endcolor,$fs,$eekId));
	} else {
	    // was a replace into ... nobody knows why 
	    $sqlquery = "insert into tiki_eek(`name`,`active`,`overload`,`lastUpdate`,`cid`,`siteid`,`track`,`ai`,`prvd`,`sortdir`,`sortby`,`query`,`srchdesc`,`si`,`catid`,`minprice`,`maxprice`,`gallery`,`bin`,`title`,`img`,`endtime`,`numbid`,`width`,`num`,`height`,`popup`,`sort`, `hdrcolor`,`tlecolor`,`fntcolor`,`bdrcolor`,`endcolor`,`fs`) values(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
	    
	    $result = $this->query($sqlquery,array(
				       $name, $active, $overload, $lastUpdate, 
				       $cid,  $siteid, $track,$ai,$prvd,
				       $sortdir, $sortby,$query,$srchdesc,
				       $si,$catid, $minprice,$maxprice,
				       $gallery,$bin, $title,$img,$endtime,
				       $numbid, $width,$num,$height,$popup,
				       $sort, $hdrcolor,$tlecolor,$fntcolor,
				       $bdrcolor,$endcolor,$fs));
	    
	    $eekId = $this->getOne("select max(`eekId`) from `tiki_eek` where `name`=? and `lastUpdate`=?",array($name,$lastUpdate));
	}
	
	return $eekId;
    }

    // get a random eek
    function get_random_active_eek() {
	// Get eekId where active = 'y' 
	$res = $this->list_current_eeks(0, -1, 'title_desc', '');
	
	$data = $res["data"];
	$bid = rand(0, count($data) - 1);
	$eekId = $data[$bid]["eekId"];
	return $eekId;
    }


    function get_eek($eekId) {
	$query = "select * from `tiki_eek` where `eekId`=?";
	$result = $this->query($query,array((int)$eekId));
	if (!$result->numRows()) return false;
	$res = $result->fetchRow();
	return $res;
}
// end functions

}

$eeklib = new EekLib($dbTiki);

?>
