<?php
/* Tiki-Wiki plugin for eBay Editor-Kit 
 *
 * Dieses Plugin untersttzt die Verwendung des eBay Editor-Kits 
 * direkt aus den Wiki-Seiten
 * 
 * Syntax: {EBAYEDITORKIT(params)}content{EBAYEDITORKIT}
 * Name must be in uppercase!
 * params is in the form: name=>value,name2=>value2 (don't use quotes!)
 *
 * The function will receive the plugin content in $data and the params
 * in the asociative array $params (using extract to pull the arguments
 * as in the example is a good practice)
 */


/*
 * Beschreibung der Parameter des Editor-Kit Plugins
 * 
 * id         gibt die Id des EbayEditorKitSets an
 *
 * Die folgende Parameter koennen durch das Plugin uebersteuert werden:
 * query      Suchbegriffe
 * num        Anzahl der maximal angezeigten Artikel (max. 200)
 * sortdir    asc= aufsteigend, desc=absteigend sortiert
 * gallery    Nur Artikel mit Galleriebildern anzeigen y/n
 * bin        Nur Sofort-Kaufen Artikel anzeigen y/n
 * srchdesc   Gibt an, ob die Beschreibungen der Artikel auch 
 *            nach den Suchbegriffen durchsucht werden sollen (y) 
 *            oder nicht (n).
 * catid      Gibt an, aus welchen Kategorien Artikel in die Suche 
 *            einbezogen werden sollen (max. 10 Kategorinummern, 
 *            durch Komma getrennt)
 *            Die Kategorienummern findet man fr ebay.de unter
 *            http://listings.ebay.de/aw/listings/list/categories.html
 * minprice   Gibt den Mindestpreis an (ganzzahlig)
 * maxprice   Gibt den Hchstpreis an (ganzzahlig)
 * si         Gibt an von welchen Verkaeufern Artikel in die 
 *            Suche eingebzogen werden sollen 
 *            (max. 10 Namen, durch Komma getrennt)
 */

include_once ('lib/ebayeditorkit/eeklib.php');


function wikiplugin_ebayeditorkit_help() {
	return tra("EBAYEDITORKIT").":<br />~np~{EBAYEDITORKIT(id=<no> parameters)}".tra("search terms")."{EBAYEDITORKIT}~/np~";
}


function wikiplugin_ebayeditorkit($data, $params) {
    /* init eek db object */
    global $dbTiki;
    if (!isset($eeklib)) {
        $eeklib = new EekLib($dbTiki);
    }

    /* array of parameter names which can be overloaded by the wikipage */
    $allowedparms=array("id","minprice","maxprice","si","catid","num","sortdir","gallery","bin","srchdesc");

    /* get the parameters from the wikipage*/
    extract ($params,EXTR_SKIP);
    
    /* check for necessary paramter id */
    if (!isset($id)) {
	return ("<b>id missing for plugin</b><br/>");
    }

    /* get the db entry with id */
    $info = $eeklib->get_eek($params['id']);

    /* set all values from db*/
    foreach ($info as $key => $value) {
	if (!isset($$key)) {
	    $$key = $value;
	}
    }

    /* check if id is active */
    if ($active!="y") {
	return ("<b>eBay EditorKit entry with this id is not active</b><br/>");
    }
    
    /* check if overloading is allowed */
    if ($overload=="y") {

	/* overload parameters comin with the wiki page */
	foreach ($params as $key => $value) {
	    if (in_array($key,$allowedparms)) {
		$$key = $value;
	    }
	}

	/* put the search terms into the wright format */
	$eek_query="";
	$eek_query_parts = explode("\n",$data);
	foreach ($eek_query_parts as $value) {
	    $value = trim($value);
	    if ($value != "")
		$eek_query = $eek_query . $value." \n";
	}
	$eek_query = "~np~".$eek_query."~/np~";
    
	/* overload query if query terms are given with wikipage */
	if ($eek_query!="~np~~/np~") {
	    $query=$eek_query;
	}
    }

    /* check for necessary parameters */
    if (!isset($query)) {
	return ("<b>eek_query missing search terms for plugin</b><br/>");
    }
  
    /* put it all together */
    $ret='<script language="javascript" src="http://ilapi.ebay.com/ws/eBayISAPI.dll?EKServer&amp;';
    $ret = $ret."query=".$query."&amp;";
    $ret = $ret."cid=".$cid."&amp;"; 
    $ret = $ret."siteid=".$siteid."&amp;";
    $ret = $ret."track=".$track."&amp;";
    $ret = $ret."ai=".$ai."&amp;";
    $ret = $ret."prvd=".$prvd."&amp;";
    $ret = $ret."sortdir=".$sortdir."&amp;";
    $ret = $ret."sortby=".$sortby."&amp;";
    $ret = $ret."srchdesc=".$srchdesc."&amp;";
    $ret = $ret."si=".$si."&amp;";
    $ret = $ret."catid=".$catid."&amp;";
    $ret = $ret."minprice=".$minprice."&amp;";
    $ret = $ret."maxprice=".$maxprice."&amp;";
    $ret = $ret."gallery=".$gallery."&amp;";
    $ret = $ret."bin=".$bin."&amp;";
    $ret = $ret."title=".$title."&amp;";
    $ret = $ret."img=".$img."&amp;";
    $ret = $ret."endtime=".$endtime."&amp;";
    $ret = $ret."numbid=".$numbid."&amp;";
    $ret = $ret."width=".$width."&amp;";
    $ret = $ret."num=".$num."&amp;";
    $ret = $ret."height=".$height."&amp;";
    $ret = $ret."popup=".$popup."&amp;";
    $ret = $ret."sort=".$sort."&amp;";
    $ret = $ret."hdrcolor=".$hdrcolor."&amp;";
    $ret = $ret."tlecolor=".$tlecolor."&amp;";
    $ret = $ret."fntcolor=".$fntcolor."&amp;";
    $ret = $ret."bdrcolor=".$bdrcolor."&amp;";
    $ret = $ret."endcolor=".$endcolor."&amp;";
    $ret = $ret."fs=".$fs."\">";
    $ret = $ret."</script>";

    /* and let it out */
    return $ret; 
}
?>
