<?php

// tiki-admin_ebayeditorkit.php
// Copyright (c) 2005, Hans Matzen
// All Rights Reserved. .
// Licensed under the GNU LESSER GENERAL PUBLIC LICENSE. 
// See license.txt for details.

// Initialization
require_once ('tiki-setup.php');

include_once ('lib/ebayeditorkit/eeklib.php');

if (!isset($eeklib)) {
        $eeklib = new EekLib($dbTiki);
}

if ($tiki_p_admin != 'y') {
    $smarty->assign('msg', tra("You do not have permission to use this feature"));
    $smarty->display("error.tpl");
    die;
}

if (!isset($_REQUEST["eekId"])) {
	$_REQUEST["eekId"] = 0;
}

$smarty->assign('eekId', $_REQUEST["eekId"]);

if ($_REQUEST["eekId"]) {
	$info = $eeklib->get_eek($_REQUEST["eekId"]);
} else {
	$info = array();

	$info["name"] = '';
	$info["active"] = 'y';
	$info["overload"]='';
	$info["lastUpdate"] = date("U");
	$info["cid"]='';
	$info["siteid"]=''; 
	$info["track"]='';
	$info["ai"]='';
	$info["prvd"]='';
	$info["sortdir"]='';
	$info["sortby"]='';
	$info["query"]='';
	$info["srchdesc"]='';
	$info["si"]='';
	$info["catid"]='';
	$info["minprice"]='';
	$info["maxprice"]='';
	$info["gallery"]='';
	$info["bin"]='';
	$info["title"]='';
	$info["img"]='';
	$info["endtime"]='';
	$info["numbid"]=''; 
	$info["width"]='';
	$info["num"]='';
	$info["height"]='';
	$info["popup"]='';
	$info["sort"]='';
	$info["hdrcolor"]='';
	$info["tlecolor"]='';
	$info["fntcolor"]='';
	$info["bdrcolor"]='';
	$info["endcolor"]='';
	$info["fs"]='';
}

$smarty->assign('name', $info["name"]); 
$smarty->assign('active', $info["active"]); 
$smarty->assign('overload', $info["overload"]); 
$smarty->assign('lastUpdate', $info["lastUpdate"]); 
$smarty->assign('cid', $info["cid"]);
$smarty->assign('siteid', $info["siteid"]); 
$smarty->assign('track', $info["track"]);
$smarty->assign('ai', $info["ai"]);
$smarty->assign('prvd', $info["prvd"]);
$smarty->assign('sortdir', $info["sortdir"]);
$smarty->assign('sortby', $info["sortby"]);
$smarty->assign('query', $info["query"]);
$smarty->assign('srchdesc', $info["srchdesc"]);
$smarty->assign('si', $info["si"]);
$smarty->assign('catid', $info["catid"]);
$smarty->assign('minprice', $info["minprice"]);
$smarty->assign('maxprice', $info["maxprice"]);
$smarty->assign('gallery', $info["gallery"]);
$smarty->assign('bin', $info["bin"]);
$smarty->assign('title', $info["title"]);
$smarty->assign('img', $info["img"]);
$smarty->assign('endtime', $info["endtime"]);
$smarty->assign('numbid', $info["numbid"]); 
$smarty->assign('width', $info["width"]);
$smarty->assign('num', $info["num"]);
$smarty->assign('height', $info["height"]);
$smarty->assign('popup', $info["popup"]);
$smarty->assign('sort', $info["sort"]);
$smarty->assign('hdrcolor', $info["hdrcolor"]);
$smarty->assign('tlecolor', $info["tlecolor"]);
$smarty->assign('fntcolor', $info["fntcolor"]);
$smarty->assign('bdrcolor', $info["bdrcolor"]);
$smarty->assign('endcolor', $info["endcolor"]);
$smarty->assign('fs', $info["fs"]);

if (isset($_REQUEST["remove"])) {
        $area = 'deleek';
        if (isset($_POST['daconfirm']) and isset($_SESSION["ticket_$area"])) {
                key_check($area);
                $eeklib->remove_eek($_REQUEST["remove"]);
        } else {
                key_get($area);
        }
}

if (isset($_REQUEST["save"])) {
    
    check_ticket('admin-eek');
    // values not in the form yet
    $lastUpdate =  date("U");
    $endcolor="FF0000";
    $cid=0;
    $pvrd=3;
    $sortdir='desc';
    $sortby='endtime';

    // set the checkbox values correct
    if (!isset($_REQUEST["active"])) {
        $active='n';
    } else {
        $active='y';
    }

    if (!isset($_REQUEST["overload"])) {
        $overload='n';
    } else {
        $overload='y';
    }

    if (!isset($_REQUEST["srchdesc"])) {
        $srchdesc='n';
    } else {
        $srchdesc='y';
    }
  
    if (!isset($_REQUEST["gallery"])) {
        $gallery='n';
    } else {
        $gallery='y';
    }

    if (!isset($_REQUEST["bin"])) {
        $bin='n';
    } else {
        $bin='y';
    }

    if (!isset($_REQUEST["img"])) {
        $img='n';
    } else {
        $img='y';
    }
    
    if (!isset($_REQUEST["endtime"])) {
        $endtime='n';
    } else {
        $endtime='y';
    }

    if (!isset($_REQUEST["numbids"])) {
        $numbids='n';
    } else {
        $numbids='y';
    }
 
    if (!isset($_REQUEST["popup"])) {
        $popup='n';
    } else {
        $popup='y';
    }

    $pid = $eeklib->replace_eek(
	$_REQUEST["eekId"], $_REQUEST["name"],        $active, 
	$overload,
	$lastUpdate,           $cid,                  $_REQUEST["siteid"], 
	$_REQUEST["track"],    $_REQUEST["ai"],       $pvrd,
	$sortdir,              $sortby,               $_REQUEST["query"],
	$srchdesc,             $_REQUEST["si"],       $_REQUEST["catid"],
	$_REQUEST["minprice"], $_REQUEST["maxprice"], $gallery,
	$bin,                  $_REQUEST["title"],    $img,
	$endtime,              $numbids,              $_REQUEST["width"],
	$_REQUEST["num"],      $_REQUEST["height"],   $popup,
	$_REQUEST["sort"],     $_REQUEST["hdrcolor"], $_REQUEST["tlecolor"],
	$_REQUEST["fntcolor"], $_REQUEST["bdrcolor"], $endcolor,
	$_REQUEST["fs"]);
}

if (!isset($_REQUEST["sort_mode"])) {
        $sort_mode = 'lastUpdate_desc';
} else {
        $sort_mode = $_REQUEST["sort_mode"];
}

if (!isset($_REQUEST["offset"])) {
        $offset = 0;
} else {
        $offset = $_REQUEST["offset"];
}

$smarty->assign_by_ref('offset', $offset);

if (isset($_REQUEST["find"])) {
        $find = $_REQUEST["find"];
} else {
        $find = '';
}
$smarty->assign('find', $find);


$smarty->assign_by_ref('sort_mode', $sort_mode);
$eeks = $eeklib->list_eeks($offset, $maxRecords, $sort_mode, $find);

$cant_pages = ceil($eeks["cant"] / $maxRecords);
$smarty->assign_by_ref('cant_pages', $cant_pages);
$smarty->assign('actual_page', 1 + ($offset / $maxRecords));

if ($eeks["cant"] > ($offset + $maxRecords)) {
	$smarty->assign('next_offset', $offset + $maxRecords);
} else {
	$smarty->assign('next_offset', -1);
}

// If offset is > 0 then prev_offset
if ($offset > 0) {
	$smarty->assign('prev_offset', $offset - $maxRecords);
} else {
	$smarty->assign('prev_offset', -1);
}

$smarty->assign_by_ref('eeks', $eeks["data"]);
ask_ticket('admin-eeks');


// Display the template
$smarty->assign('mid', 'tiki-admin_ebayeditorkit.tpl');
$smarty->display("tiki.tpl");

?>
